using EvaPosSrvDTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace EvaPOS_API_FRAME.DTO
{
    ///<summary>
    /// DTO que obtiene los valores del XML "Restricción de edad en los productos"
    /// </summary>
    [XmlRoot(ElementName = "AddCustomerBirthdateRequest")]
    public class AddCustomerBirthdateRequest : DTOBase
    {
        public AddCustomerBirthdateRequest(int idSesion, TipoMensaje tipo) : base(idSesion, tipo)
        {
        }
        public AddCustomerBirthdateRequest() { }

        [XmlElement(ElementName = "ParameterExtension")]
        public object ParameterExtension { get; set; }

        [XmlElement(ElementName = "RequestID")]
        public int RequestID { get; set; }

        [XmlElement(ElementName = "CustomerBirthdate")]
        public string CustomerBirthdate { get; set; }
    }
}
